Skip to content
View as Markdown

GET REST API Keys​

GET
/setting/rest-keys

Retrieve all REST API application passwords created through FluentCRM. Returns a list of FluentCRM managers (non-admin users with CRM access) and their associated API keys.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Responses​

REST API keys and eligible managers.

application/json
JSON
{
"managers": [
{
"id": 0,
"full_name": "string",
"email": "string"
}
],
"rest_keys": [
{
"id": 0,
"first_name": "string",
"last_name": "string",
"email": "string",
"api_keys": [
{
"uuid": "string",
"name": "string",
"created": "string"
}
],
"manage_url": "string"
}
]
}

Playground​

Authorization

Samples​

Powered by VitePress OpenAPI